Package org.apache.nutch.crawl

## Class CrawlDbReader.CrawlDbStatReducer

- java.lang.Object
- - org.apache.hadoop.mapreduce.Reducer<Text,​NutchWritable,​Text,​NutchWritable>
  - - org.apache.nutch.crawl.CrawlDbReader.CrawlDbStatReducer

- Enclosing class:
    CrawlDbReader

      public static class CrawlDbReader.CrawlDbStatReducer
      extends Reducer<Text,​NutchWritable,​Text,​NutchWritable>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer

      `Reducer.Context`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CrawlDbStatReducer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `reduce​(Text key, Iterable<NutchWritable> values, Reducer.Context context)` |
    `void` | `setup​(Reducer.Context context)` |

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Reducer

      `cleanup, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CrawlDbStatReducer

          public CrawlDbStatReducer()

  - ### Method Detail

    - #### setup

          public void setup​(Reducer.Context context)

      Overrides:
        `setup` in class `Reducer<Text,​NutchWritable,​Text,​NutchWritable>`

    - #### reduce

          public void reduce​(Text key,
                             Iterable<NutchWritable> values,
                             Reducer.Context context)
                      throws IOException,
                             InterruptedException

      Overrides:
        `reduce` in class `Reducer<Text,​NutchWritable,​Text,​NutchWritable>`
      Throws:
        `IOException`
        `InterruptedException`